

net/sctp/socket.c: In function `sctp_sendmsg':
net/sctp/socket.c:1014: warning: unsigned int format, different type arg (arg 4)
net/sctp/socket.c:1014: warning: unsigned int format, different type arg (arg 4)
net/sctp/socket.c:1070: warning: unsigned int format, different type arg (arg 2)
net/sctp/socket.c:1070: warning: unsigned int format, different type arg (arg 2)
net/sctp/socket.c: In function `sctp_recvmsg':
net/sctp/socket.c:1438: warning: int format, different type arg (arg 7)
net/sctp/socket.c:1438: warning: int format, different type arg (arg 7)
net/sctp/socket.c: In function `sctp_wait_for_sndbuf':
net/sctp/socket.c:4237: warning: unsigned int format, different type arg (arg 4)
net/sctp/socket.c:4237: warning: unsigned int format, different type arg (arg 4)



---

 25-akpm/net/sctp/socket.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN net/sctp/socket.c~sctp-printk-warnings net/sctp/socket.c
--- 25/net/sctp/socket.c~sctp-printk-warnings	2004-04-09 00:53:03.918556176 -0700
+++ 25-akpm/net/sctp/socket.c	2004-04-09 00:54:22.243648952 -0700
@@ -1010,7 +1010,7 @@ SCTP_STATIC int sctp_sendmsg(struct kioc
 	struct list_head *pos;
 	int msg_flags = msg->msg_flags;
 
-	SCTP_DEBUG_PRINTK("sctp_sendmsg(sk: %p, msg: %p, msg_len: %u)\n",
+	SCTP_DEBUG_PRINTK("sctp_sendmsg(sk: %p, msg: %p, msg_len: %zu)\n",
 			  sk, msg, msg_len);
 
 	err = 0;
@@ -1066,7 +1066,7 @@ SCTP_STATIC int sctp_sendmsg(struct kioc
 		associd = sinfo->sinfo_assoc_id;
 	}
 
-	SCTP_DEBUG_PRINTK("msg_len: %u, sinfo_flags: 0x%x\n",
+	SCTP_DEBUG_PRINTK("msg_len: %zu, sinfo_flags: 0x%x\n",
 			  msg_len, sinfo_flags);
 
 	/* MSG_EOF or MSG_ABORT cannot be set on a TCP-style socket. */
@@ -1432,7 +1432,7 @@ SCTP_STATIC int sctp_recvmsg(struct kioc
 	int err = 0;
 	int skb_len;
 
-	SCTP_DEBUG_PRINTK("sctp_recvmsg(%s: %p, %s: %p, %s: %d, %s: %d, %s: "
+	SCTP_DEBUG_PRINTK("sctp_recvmsg(%s: %p, %s: %p, %s: %zd, %s: %d, %s: "
 			  "0x%x, %s: %p)\n", "sk", sk, "msghdr", msg,
 			  "len", len, "knoblauch", noblock,
 			  "flags", flags, "addr_len", addr_len);
@@ -4233,7 +4233,7 @@ static int sctp_wait_for_sndbuf(struct s
 	long current_timeo = *timeo_p;
 	DEFINE_WAIT(wait);
 
-	SCTP_DEBUG_PRINTK("wait_for_sndbuf: asoc=%p, timeo=%ld, msg_len=%u\n",
+	SCTP_DEBUG_PRINTK("wait_for_sndbuf: asoc=%p, timeo=%ld, msg_len=%zu\n",
 	                  asoc, (long)(*timeo_p), msg_len);
 
 	/* Increment the association's refcnt.  */

_
